# Get Training Job Status

Retrieves the current training status and details of the training job. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** panel on the right and choose an example to explore different training statuses (such as pending or ready) and see how each status appears in the API response examples.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/photo_avatar/train/status/{group_id}": {
      "get": {
        "summary": "Get training job status",
        "description": "Get the training status of a avatar group",
        "operationId": "get-training-job-status",
        "parameters": [
          {
            "name": "group_id",
            "in": "path",
            "description": "Unique identifier of the avatar group. Can be retrieved from the <a href=\"https://docs.heygen.com/reference/create-photo-avatar-group\" target=\"_blank\">Create Photo Avatar Group</a> endpoint.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Status retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Ready": {
                    "value": {
                      "error": null,
                      "data": {
                        "status": "ready",
                        "error_msg": null,
                        "created_at": 1760435415,
                        "updated_at": 1760435567
                      }
                    },
                    "summary": "Ready"
                  },
                  "Pending": {
                    "summary": "Pending",
                    "value": {
                      "error": null,
                      "data": {
                        "status": "pending",
                        "error_msg": null,
                        "created_at": 1760435415,
                        "updated_at": null
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "example": "pending",
                          "description": "Current status of the training job. "
                        },
                        "error_msg": {
                          "description": "Error message returned when the request fails. Describes the reason for failure. ",
                          "type": "string"
                        },
                        "created_at": {
                          "type": "integer",
                          "example": 1733861263,
                          "default": 0,
                          "description": "Unix timestamp when the training process was initiated."
                        },
                        "updated_at": {
                          "type": "integer",
                          "description": "Unix timestamp when the training process was initiated."
                        }
                      },
                      "description": "Contains the training job details. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```